Bug 72512 - i18n: add new language and locale data for Lengo [lgr-SB]
Summary: i18n: add new language and locale data for Lengo [lgr-SB]
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-09 09:45 UTC by pcunger
Modified: 2014-02-26 19:27 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Locale data for Lengo. (13.07 KB, application/xml)
2013-12-09 09:45 UTC, pcunger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pcunger 2013-12-09 09:45:05 UTC
Created attachment 90499 [details]
Locale data for Lengo.

I understand this is one of the steps to add a language to LibreOffice. I have worked as a translation advisor to the language community for the past twelve years and feel we're ready to take this step.
    Language Code (ISO 639-3): lgr
    Language Name: Lengo
    Country Code (ISO 3166): SB
    Written RTL? N
    Requires CTL? N
    I'm attaching the locale data for my language.
Thanks for maintaining such awesome software!
Comment 1 Eike Rathke 2013-12-17 12:42:12 UTC
Test compiling this I got

Warning: QuotationStart may be wrong: U+201C “
Warning: QuotationEnd may be wrong: U+201D ”
Warning: DoubleQuotationStart may be wrong: U+2018 ‘
Warning: DoubleQuotationEnd may be wrong: U+2019 ’
Warning: FormatCode formatindex="12" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="13" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="14" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="15" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="17" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.

The definitions of (Double)QuotationStart/End can simply be swapped, but what about the currency formats? There are various possibilities, with minus sign preceding or following the amount, currency symbol before or after the amount, with or without blank, and all combinations thereof.
Comment 2 pcunger 2013-12-29 20:06:23 UTC
(In reply to comment #1)
> Test compiling this I got
> 
> Warning: QuotationStart may be wrong: U+201C “
> Warning: QuotationEnd may be wrong: U+201D ”
> Warning: DoubleQuotationStart may be wrong: U+2018 ‘
> Warning: DoubleQuotationEnd may be wrong: U+2019 ’
> Warning: FormatCode formatindex="12" for currency uses parentheses for
> negative amounts, which probably is not correct for locales not based on
> en_US.
> Warning: FormatCode formatindex="13" for currency uses parentheses for
> negative amounts, which probably is not correct for locales not based on
> en_US.
> Warning: FormatCode formatindex="14" for currency uses parentheses for
> negative amounts, which probably is not correct for locales not based on
> en_US.
> Warning: FormatCode formatindex="15" for currency uses parentheses for
> negative amounts, which probably is not correct for locales not based on
> en_US.
> Warning: FormatCode formatindex="17" for currency uses parentheses for
> negative amounts, which probably is not correct for locales not based on
> en_US.
> 
> The definitions of (Double)QuotationStart/End can simply be swapped, but
> what about the currency formats? There are various possibilities, with minus
> sign preceding or following the amount, currency symbol before or after the
> amount, with or without blank, and all combinations thereof.

Yes, go ahead and swap the QuotationStart/End definitions (strange that the defaults are backwards on the Locale Generator page...) As for the currency formats/definitions, is it possible to inherit them from Australian English? Solomon Islands is heavily influenced by Australia when it comes to financial protocols. Australian banks (e.g., ANZ, Westpac) operate here, and Australia has played a significant role in rebuilding Solomon Islands after the civil war of 2000, particularly in fiscal matters.

Thanks for your help with this.
Comment 3 Commit Notification 2014-02-26 19:27:04 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8d8d1bd05802dfdc755dcc245e1c0cc62c0e3b2

added Lengo [lgr-SB], fdo#72512



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-02-26 19:27:18 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7f1d023cb8879cadb6ffeda6dbf9b1c8e83007e7

added Lengo [lgr-SB] locale data, fdo#72512



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-02-26 19:27:33 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1371fbf08bae2e1d2282af19af9ce3c20ebe03f7

added M-D abbreviated DateAcceptancePattern to [lgr-SB], fdo#72512



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.